Package com.io7m.idstore.server.api

# Record Class IdServerConfigurationFile

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerConfigurationFile

Record Components:
  `brandingConfiguration` - The branding configuration
  `databaseConfiguration` - The database configuration
  `historyConfiguration` - The history configuration
  `httpConfiguration` - The HTTP configuration
  `mailConfiguration` - The mail configuration
  `openTelemetry` - The OpenTelemetry configuration
  `rateLimit` - The rate limiting configuration
  `sessionConfiguration` - The session configuration

All Implemented Interfaces:
  `IdServerJSONConfigurationElementType`

public record IdServerConfigurationFile(IdServerBrandingConfiguration brandingConfiguration, IdServerMailConfiguration mailConfiguration, IdServerHTTPConfiguration httpConfiguration, IdServerDatabaseConfiguration databaseConfiguration, IdServerHistoryConfiguration historyConfiguration, IdServerSessionConfiguration sessionConfiguration, IdServerRateLimitConfiguration rateLimit, Optional<IdServerOpenTelemetryConfiguration> openTelemetry) extends Record implements IdServerJSONConfigurationElementType
The server configuration file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerConfigurationFile(IdServerBrandingConfiguration brandingConfiguration, IdServerMailConfiguration mailConfiguration, IdServerHTTPConfiguration httpConfiguration, IdServerDatabaseConfiguration databaseConfiguration, IdServerHistoryConfiguration historyConfiguration, IdServerSessionConfiguration sessionConfiguration, IdServerRateLimitConfiguration rateLimit, Optional<IdServerOpenTelemetryConfiguration> openTelemetry)`
  The server configuration file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdServerBrandingConfiguration`
  `brandingConfiguration()`
  Returns the value of the `brandingConfiguration` record component.
  `IdServerDatabaseConfiguration`
  `databaseConfiguration()`
  Returns the value of the `databaseConfiguration` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `IdServerHistoryConfiguration`
  `historyConfiguration()`
  Returns the value of the `historyConfiguration` record component.
  `IdServerHTTPConfiguration`
  `httpConfiguration()`
  Returns the value of the `httpConfiguration` record component.
  `IdServerMailConfiguration`
  `mailConfiguration()`
  Returns the value of the `mailConfiguration` record component.
  `Optional<IdServerOpenTelemetryConfiguration>`
  `openTelemetry()`
  Returns the value of the `openTelemetry` record component.
  `IdServerRateLimitConfiguration`
  `rateLimit()`
  Returns the value of the `rateLimit` record component.
  `IdServerSessionConfiguration`
  `sessionConfiguration()`
  Returns the value of the `sessionConfiguration` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdServerConfigurationFile

    public IdServerConfigurationFile(IdServerBrandingConfiguration brandingConfiguration, IdServerMailConfiguration mailConfiguration, IdServerHTTPConfiguration httpConfiguration, IdServerDatabaseConfiguration databaseConfiguration, IdServerHistoryConfiguration historyConfiguration, IdServerSessionConfiguration sessionConfiguration, IdServerRateLimitConfiguration rateLimit, Optional<IdServerOpenTelemetryConfiguration> openTelemetry)
    The server configuration file.
    Parameters:
      `brandingConfiguration` - The branding configuration
      `databaseConfiguration` - The database configuration
      `historyConfiguration` - The history configuration
      `httpConfiguration` - The HTTP configuration
      `mailConfiguration` - The mail configuration
      `openTelemetry` - The OpenTelemetry configuration
      `rateLimit` - The rate limiting configuration
      `sessionConfiguration` - The session configuration

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### brandingConfiguration

    public IdServerBrandingConfiguration brandingConfiguration()
    Returns the value of the `brandingConfiguration` record component.
    Returns:
      the value of the `brandingConfiguration` record component

  - ### mailConfiguration

    public IdServerMailConfiguration mailConfiguration()
    Returns the value of the `mailConfiguration` record component.
    Returns:
      the value of the `mailConfiguration` record component

  - ### httpConfiguration

    public IdServerHTTPConfiguration httpConfiguration()
    Returns the value of the `httpConfiguration` record component.
    Returns:
      the value of the `httpConfiguration` record component

  - ### databaseConfiguration

    public IdServerDatabaseConfiguration databaseConfiguration()
    Returns the value of the `databaseConfiguration` record component.
    Returns:
      the value of the `databaseConfiguration` record component

  - ### historyConfiguration

    public IdServerHistoryConfiguration historyConfiguration()
    Returns the value of the `historyConfiguration` record component.
    Returns:
      the value of the `historyConfiguration` record component

  - ### sessionConfiguration

    public IdServerSessionConfiguration sessionConfiguration()
    Returns the value of the `sessionConfiguration` record component.
    Returns:
      the value of the `sessionConfiguration` record component

  - ### rateLimit

    public IdServerRateLimitConfiguration rateLimit()
    Returns the value of the `rateLimit` record component.
    Returns:
      the value of the `rateLimit` record component

  - ### openTelemetry

    public Optional<IdServerOpenTelemetryConfiguration> openTelemetry()
    Returns the value of the `openTelemetry` record component.
    Returns:
      the value of the `openTelemetry` record component